> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Clover Customer

> Onboard a customer.



## OpenAPI

````yaml POST /partner/clover/customers
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/customers:
    post:
      tags:
        - Clover
      summary: Create Customer
      description: Onboard a customer.
      operationId: create_customer_partner_clover_customers_post
      parameters:
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateCustomerRequest:
      properties:
        business:
          $ref: '#/components/schemas/CustomerBusiness'
        persons:
          items:
            $ref: '#/components/schemas/CustomerPerson'
          type: array
          title: Persons
        external_bank_account:
          $ref: '#/components/schemas/CustomerExternalBankAccount'
      type: object
      required:
        - business
        - persons
        - external_bank_account
      title: CreateCustomerRequest
      description: Schema to deserialize the customer request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomerBusiness:
      properties:
        business_name:
          type: string
          maxLength: 50
          title: Business Name
          description: Legal business name.
        dba:
          anyOf:
            - type: string
              maxLength: 50
            - type: 'null'
          title: Dba
          description: Doing Business As (DBA) name.
        naics_code:
          type: integer
          title: Naics Code
          description: NAICS industry code.
        organization_type:
          $ref: '#/components/schemas/OrganizationTypeEnum'
          description: Type of business organization.
        business_description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Business Description
          description: Description of the business.
        ein:
          type: string
          title: Ein
          description: Employer Identification Number.
        formation_state:
          type: string
          title: Formation State
          description: State where the business was formed.
        formation_date:
          type: string
          title: Formation Date
          description: Date when the business was formed.
        business_address:
          $ref: '#/components/schemas/CustomerAddress'
          description: Primary business address.
        mailing_address:
          $ref: '#/components/schemas/CustomerAddress'
          description: Mailing address.
        phone:
          type: integer
          title: Phone
          description: Business phone number.
        email:
          type: string
          maxLength: 50
          title: Email
          description: Business email address.
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: Business website URL.
        backup_withholding:
          type: boolean
          title: Backup Withholding
          description: Indicates if backup withholding applies.
        is_public:
          type: boolean
          title: Is Public
          description: Indicates if the company is publicly traded.
        government_affiliated:
          type: boolean
          title: Government Affiliated
          description: Indicates if the business is government affiliated.
        affiliated_entities:
          type: string
          title: Affiliated Entities
          description: Indicates if there are affiliated entities.
        operations_abroad:
          type: boolean
          title: Operations Abroad
          description: Indicates if the business operates internationally.
        types_of_customers:
          $ref: '#/components/schemas/TypesOfCustomersEnum'
          description: Types of customers served.
        international_customers_served:
          type: boolean
          title: International Customers Served
          description: Indicates if international customers are served.
      type: object
      required:
        - business_name
        - naics_code
        - organization_type
        - ein
        - formation_state
        - formation_date
        - business_address
        - mailing_address
        - phone
        - email
        - backup_withholding
        - is_public
        - government_affiliated
        - affiliated_entities
        - operations_abroad
        - types_of_customers
        - international_customers_served
      title: CustomerBusiness
      description: Represent a Customer Business.
    CustomerPerson:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: The id of the Customer Person.
        first_name:
          type: string
          title: First Name
          description: First name of the person.
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Middle Name
          description: Middle name of the person.
        last_name:
          type: string
          title: Last Name
          description: Last name of the person.
        date_of_birth:
          type: string
          format: date
          title: Date Of Birth
          description: Date of birth.
        home_address:
          $ref: '#/components/schemas/CustomerAddress'
          description: Home address of the person.
        tin:
          type: string
          title: Tin
          description: Tax Identification Number.
        email:
          type: string
          title: Email
          description: Email address.
        phone:
          type: integer
          title: Phone
          description: Primary phone number.
        phone_mobile:
          anyOf:
            - type: integer
            - type: 'null'
          title: Phone Mobile
          description: Mobile phone number.
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
          description: Gender.
        employer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Employer Name
          description: Employer name.
        employment_status:
          anyOf:
            - $ref: '#/components/schemas/EmploymentStatusEnum'
            - type: 'null'
          description: Employment status.
        occupation:
          anyOf:
            - type: string
            - type: 'null'
          title: Occupation
          description: Occupation.
        ownership_percentage:
          type: integer
          title: Ownership Percentage
          description: Ownership percentage.
        work_title:
          type: string
          title: Work Title
          description: Job title or position.
        controller:
          type: boolean
          title: Controller
          description: Indicates if the person is a controller.
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: The date and time the person was created.
      type: object
      required:
        - first_name
        - last_name
        - date_of_birth
        - home_address
        - tin
        - email
        - phone
        - ownership_percentage
        - work_title
        - controller
      title: CustomerPerson
      description: Represent a Customer Person.
    CustomerExternalBankAccount:
      properties:
        bank_name:
          type: string
          title: Bank Name
          description: Name of the bank.
        name_on_account:
          type: string
          title: Name On Account
          description: Name on the bank account.
        address_on_account:
          $ref: '#/components/schemas/CustomerAddress'
          description: Address associated with the account.
        routing_number:
          type: string
          title: Routing Number
          description: Bank routing number.
        account_number:
          type: string
          title: Account Number
          description: Bank account number.
        type:
          $ref: '#/components/schemas/ExternalBankAccountTypeEnum'
          description: Type of bank account.
      type: object
      required:
        - bank_name
        - name_on_account
        - address_on_account
        - routing_number
        - account_number
        - type
      title: CustomerExternalBankAccount
      description: Represent a Customer External Bank Account.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrganizationTypeEnum:
      type: string
      enum:
        - corporation
        - partnership
        - llc
        - llp
        - non-profit
        - custodial
        - financial institution
        - public funds
        - trust
      title: OrganizationTypeEnum
      description: Enum for business organization types.
    CustomerAddress:
      properties:
        street_1:
          type: string
          title: Street 1
          description: Street address line 1.
        street_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street 2
          description: Street address line 2.
        city:
          type: string
          title: City
          description: City name.
        state:
          type: string
          title: State
          description: State or region.
        zip_code:
          type: string
          title: Zip Code
          description: ZIP or postal code.
        country:
          type: string
          title: Country
          description: Country as specified using ISO 3166-1 alpha-2
      type: object
      required:
        - street_1
        - city
        - state
        - zip_code
        - country
      title: CustomerAddress
      description: Represent a Customer Address.
    TypesOfCustomersEnum:
      type: string
      enum:
        - retail
        - institutional
      title: TypesOfCustomersEnum
      description: Enum for types of customers served.
    EmploymentStatusEnum:
      type: string
      enum:
        - employed
        - unemployed
        - retired
      title: EmploymentStatusEnum
      description: Enum for employment status.
    ExternalBankAccountTypeEnum:
      type: string
      enum:
        - checking
        - savings
      title: ExternalBankAccountTypeEnum
      description: Enum for external bank account types.

````